#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'decryptdialog.ui'
**
** Created: 2013-09-06T06:25:42
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "decryptdialog.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qgroupbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a DecryptDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
DecryptDialog::DecryptDialog( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "DecryptDialog" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)3, 0, 0, sizePolicy().hasHeightForWidth() ) );
    DecryptDialogLayout = new QGridLayout( this, 1, 1, 11, 6, "DecryptDialogLayout"); 

    layout5 = new QHBoxLayout( 0, 0, 6, "layout5"); 

    layout4 = new QVBoxLayout( 0, 0, 6, "layout4"); 

    encryptedIcon = new QLabel( this, "encryptedIcon" );
    encryptedIcon->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, encryptedIcon->sizePolicy().hasHeightForWidth() ) );
    encryptedIcon->setMinimumSize( QSize( 48, 48 ) );
    encryptedIcon->setMaximumSize( QSize( 32, 32 ) );
    encryptedIcon->setScaledContents( TRUE );
    encryptedIcon->setAlignment( int( QLabel::AlignTop ) );
    layout4->addWidget( encryptedIcon );
    spacer2_2 = new QSpacerItem( 31, 41, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout4->addItem( spacer2_2 );
    layout5->addLayout( layout4 );

    descLabel = new QLabel( this, "descLabel" );
    descLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)3, 0, 0, descLabel->sizePolicy().hasHeightForWidth() ) );
    descLabel->setAlignment( int( QLabel::WordBreak | QLabel::AlignTop ) );
    layout5->addWidget( descLabel );

    DecryptDialogLayout->addLayout( layout5, 0, 0 );

    layout4_2 = new QHBoxLayout( 0, 0, 6, "layout4_2"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    layout4_2->addWidget( textLabel1 );

    passwordEdit = new QLineEdit( this, "passwordEdit" );
    passwordEdit->setEnabled( TRUE );
    passwordEdit->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 1, 0, passwordEdit->sizePolicy().hasHeightForWidth() ) );
    passwordEdit->setEchoMode( QLineEdit::Password );
    layout4_2->addWidget( passwordEdit );

    DecryptDialogLayout->addLayout( layout4_2, 1, 0 );

    errorBox = new QGroupBox( this, "errorBox" );
    errorBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)3, 0, 0, errorBox->sizePolicy().hasHeightForWidth() ) );
    errorBox->setColumnLayout(0, Qt::Vertical );
    errorBox->layout()->setSpacing( 6 );
    errorBox->layout()->setMargin( 11 );
    errorBoxLayout = new QGridLayout( errorBox->layout() );
    errorBoxLayout->setAlignment( Qt::AlignTop );

    errorLabel = new QLabel( errorBox, "errorLabel" );
    errorLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)3, 0, 0, errorLabel->sizePolicy().hasHeightForWidth() ) );
    errorLabel->setAlignment( int( QLabel::WordBreak | QLabel::AlignTop ) );

    errorBoxLayout->addWidget( errorLabel, 0, 0 );

    DecryptDialogLayout->addWidget( errorBox, 2, 0 );
    languageChange();
    resize( QSize(207, 172).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    textLabel1->setBuddy( passwordEdit );
}

/*
 *  Destroys the object and frees any allocated resources
 */
DecryptDialog::~DecryptDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void DecryptDialog::languageChange()
{
    setCaption( tr2i18n( "Decrypting Storage Device" ) );
    descLabel->setText( tr2i18n( "<p><b>%1</b> is an encrypted storage device.</p>\n"
"<p>Please enter the password to decrypt the storage device.</p>" ) );
    textLabel1->setText( tr2i18n( "&Password:" ) );
    errorBox->setTitle( tr2i18n( "Error" ) );
    errorLabel->setText( QString::null );
}

/****************************************************************************
** DecryptDialog meta object code from reading C++ file 'decryptdialog.h'
**
** Created: Fri Sep 6 06:25:42 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "decryptdialog.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *DecryptDialog::className() const
{
    return "DecryptDialog";
}

QMetaObject *DecryptDialog::metaObj = 0;
static QMetaObjectCleanUp cleanUp_DecryptDialog( "DecryptDialog", &DecryptDialog::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString DecryptDialog::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "DecryptDialog", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString DecryptDialog::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "DecryptDialog", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* DecryptDialog::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"DecryptDialog", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_DecryptDialog.setMetaObject( metaObj );
    return metaObj;
}

void* DecryptDialog::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "DecryptDialog" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool DecryptDialog::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool DecryptDialog::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool DecryptDialog::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool DecryptDialog::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
