#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'managermoduleview.ui'
**
** Created: 2013-09-06T06:25:47
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "managermoduleview.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ManagerModuleView as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ManagerModuleView::ManagerModuleView( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ManagerModuleView" );
    ManagerModuleViewLayout = new QVBoxLayout( this, 11, 6, "ManagerModuleViewLayout"); 

    kcfg_HalBackendEnabled = new QCheckBox( this, "kcfg_HalBackendEnabled" );
    ManagerModuleViewLayout->addWidget( kcfg_HalBackendEnabled );

    kcfg_CdPollingEnabled = new QCheckBox( this, "kcfg_CdPollingEnabled" );
    ManagerModuleViewLayout->addWidget( kcfg_CdPollingEnabled );

    kcfg_AutostartEnabled = new QCheckBox( this, "kcfg_AutostartEnabled" );
    ManagerModuleViewLayout->addWidget( kcfg_AutostartEnabled );

    groupbox_mount = new QGroupBox( this, "groupbox_mount" );
    groupbox_mount->setColumnLayout(0, Qt::Vertical );
    groupbox_mount->layout()->setSpacing( 6 );
    groupbox_mount->layout()->setMargin( 11 );
    groupbox_mountLayout = new QVBoxLayout( groupbox_mount->layout() );
    groupbox_mountLayout->setAlignment( Qt::AlignTop );

    textLabel3 = new QLabel( groupbox_mount, "textLabel3" );
    textLabel3->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter ) );
    groupbox_mountLayout->addWidget( textLabel3 );

    layout30 = new QGridLayout( 0, 1, 1, 0, 6, "layout30"); 

    option_ro = new QCheckBox( groupbox_mount, "option_ro" );

    layout30->addWidget( option_ro, 1, 0 );

    option_uid = new QCheckBox( groupbox_mount, "option_uid" );

    layout30->addWidget( option_uid, 2, 1 );

    option_flush = new QCheckBox( groupbox_mount, "option_flush" );
    option_flush->setTristate( TRUE );

    layout30->addWidget( option_flush, 0, 1 );

    option_sync = new QCheckBox( groupbox_mount, "option_sync" );
    option_sync->setTristate( TRUE );

    layout30->addWidget( option_sync, 3, 0 );

    option_quiet = new QCheckBox( groupbox_mount, "option_quiet" );

    layout30->addWidget( option_quiet, 2, 0 );

    option_utf8 = new QCheckBox( groupbox_mount, "option_utf8" );

    layout30->addWidget( option_utf8, 1, 1 );

    layout29 = new QGridLayout( 0, 1, 1, 0, 6, "layout29"); 

    text_shortname = new QLabel( groupbox_mount, "text_shortname" );

    layout29->addWidget( text_shortname, 1, 0 );

    option_journaling = new QComboBox( FALSE, groupbox_mount, "option_journaling" );

    layout29->addWidget( option_journaling, 0, 1 );

    text_journaling = new QLabel( groupbox_mount, "text_journaling" );

    layout29->addWidget( text_journaling, 0, 0 );

    option_shortname = new QComboBox( FALSE, groupbox_mount, "option_shortname" );

    layout29->addWidget( option_shortname, 1, 1 );

    layout30->addMultiCellLayout( layout29, 3, 4, 1, 1 );

    option_automount = new QCheckBox( groupbox_mount, "option_automount" );

    layout30->addWidget( option_automount, 0, 0 );

    option_atime = new QCheckBox( groupbox_mount, "option_atime" );
    option_atime->setTristate( TRUE );

    layout30->addWidget( option_atime, 4, 0 );
    groupbox_mountLayout->addLayout( layout30 );
    ManagerModuleViewLayout->addWidget( groupbox_mount );
    spacer1 = new QSpacerItem( 21, 130, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ManagerModuleViewLayout->addItem( spacer1 );
    languageChange();
    resize( QSize(600, 480).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( kcfg_HalBackendEnabled, SIGNAL( toggled(bool) ), groupbox_mount, SLOT( setEnabled(bool) ) );

    // tab order
    setTabOrder( kcfg_HalBackendEnabled, kcfg_CdPollingEnabled );
    setTabOrder( kcfg_CdPollingEnabled, kcfg_AutostartEnabled );
    setTabOrder( kcfg_AutostartEnabled, option_automount );
    setTabOrder( option_automount, option_ro );
    setTabOrder( option_ro, option_quiet );
    setTabOrder( option_quiet, option_sync );
    setTabOrder( option_sync, option_atime );
    setTabOrder( option_atime, option_flush );
    setTabOrder( option_flush, option_utf8 );
    setTabOrder( option_utf8, option_uid );
    setTabOrder( option_uid, option_journaling );
    setTabOrder( option_journaling, option_shortname );

    // buddies
    text_shortname->setBuddy( option_shortname );
    text_journaling->setBuddy( option_journaling );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
ManagerModuleView::~ManagerModuleView()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ManagerModuleView::languageChange()
{
    setCaption( tr2i18n( "ManagerModuleView" ) );
    kcfg_HalBackendEnabled->setText( tr2i18n( "Enable HAL backend" ) );
    QWhatsThis::add( kcfg_HalBackendEnabled, tr2i18n( "Select this if you want to enable the Hardware Abstraction Layer (http://hal.freedesktop.org/wiki/Software/hal) support." ) );
    kcfg_CdPollingEnabled->setText( tr2i18n( "Enable CD polling" ) );
    QWhatsThis::add( kcfg_CdPollingEnabled, tr2i18n( "Select this to enable the CD polling." ) );
    kcfg_AutostartEnabled->setText( tr2i18n( "Enable medium application autostart after mount" ) );
    QWhatsThis::add( kcfg_AutostartEnabled, tr2i18n( "Select this if you want to enable application autostart after mounting a device." ) );
    groupbox_mount->setTitle( tr2i18n( "Mount options" ) );
    textLabel3->setText( tr2i18n( "Here you can specify default mount options for your storage media. Please note that some options are not supported for certain filesystems and/or medium. You will be able to redefine all these options on per-volume basis later, using Properties dialog of the corresponding volume.<br>\n"
"Some of the options are tristate. Leave them \"undefined\" to let KDE choose the best value depending on your media." ) );
    option_ro->setText( tr2i18n( "Read only" ) );
    QWhatsThis::add( option_ro, tr2i18n( "By default, mount all file systems read-only." ) );
    option_uid->setText( tr2i18n( "Mount as user" ) );
    QWhatsThis::add( option_uid, tr2i18n( "Mount this file system as user." ) );
    option_flush->setText( tr2i18n( "Flushed IO" ) );
    QWhatsThis::add( option_flush, tr2i18n( "Always flush all data to the hot plug devices immediately and don't cache it." ) );
    option_sync->setText( tr2i18n( "Synchronous" ) );
    QWhatsThis::add( option_sync, tr2i18n( "All I/O to the file system should be done synchronously." ) );
    option_quiet->setText( tr2i18n( "Quiet" ) );
    QWhatsThis::add( option_quiet, tr2i18n( "Attempts to chown or chmod files do not return errors, although they fail. Use with caution!" ) );
    option_utf8->setText( tr2i18n( "UTF-8 charset" ) );
    QWhatsThis::add( option_utf8, tr2i18n( "UTF8 is the filesystem safe 8-bit encoding of Unicode that is used by the console. It can be be enabled for the filesystem with this option." ) );
    text_shortname->setText( tr2i18n( "Short names:" ) );
    QWhatsThis::add( text_shortname, tr2i18n( "<h2>Defines  the  behaviour  for  creation and display of filenames which fit into 8.3 characters. If a long name for a file exists, it will always be preferred display.</h2>\n"
"\n"
"<h3><b>Lower</b></h3>\n"
"Force the short name to lower case upon display; store a long name when the short name is not all upper case.\n"
"\n"
"<h3><b>Windows 95</b></h3>\n"
"Force the short name to upper case upon display; store a long name when the short name is not all upper case.\n"
"\n"
"<h3><b>Windows NT</b></h3>\n"
"Display the shortname as is; store a long name when the short name is not all lower case or all upper case.\n"
"\n"
"<h3><b>Mixed</b></h3>\n"
"Display the short name as is; store a long name when the short name is not all upper case." ) );
    option_journaling->clear();
    option_journaling->insertItem( tr2i18n( "All Data" ) );
    option_journaling->insertItem( tr2i18n( "Ordered" ) );
    option_journaling->insertItem( tr2i18n( "Writeback" ) );
    option_journaling->setCurrentItem( 1 );
    text_journaling->setText( tr2i18n( "Journaling:" ) );
    QWhatsThis::add( text_journaling, tr2i18n( "<h2>Specifies  the journalling mode for file data. Metadata is always journaled. </h2>\n"
"           \n"
"<h3><b>All Data</b></h3>\n"
"           All  data  is  committed into the journal prior to being written into the main file system. This is the slowest variant with the highest data security.\n"
"\n"
"<h3><b>Ordered</b></h3>\n"
"           All data is forced directly out to the main  file system prior to its metadata being committed to the journal.\n"
"\n"
"<h3><b>Write Back</b></h3>\n"
"           Data ordering is not preserved - data may be written into the main file system after its metadata has been committed to the journal.  This is rumoured to  be the  highest-throughput option.  It guarantees internal file system integrity,  however it can allow old data to appear in files after  a  crash  and  journal recovery." ) );
    option_shortname->clear();
    option_shortname->insertItem( tr2i18n( "Lower" ) );
    option_shortname->insertItem( tr2i18n( "Windows 95" ) );
    option_shortname->insertItem( tr2i18n( "Windows NT" ) );
    option_shortname->insertItem( tr2i18n( "Mixed" ) );
    option_automount->setText( tr2i18n( "Mount automatically" ) );
    QWhatsThis::add( option_automount, tr2i18n( "By default, mount all file systems automatically." ) );
    option_atime->setText( tr2i18n( "Access time updates" ) );
    QWhatsThis::add( option_atime, tr2i18n( "Update inode access time for each access." ) );
}

void ManagerModuleView::init()
{
}

/****************************************************************************
** ManagerModuleView meta object code from reading C++ file 'managermoduleview.h'
**
** Created: Fri Sep 6 06:25:48 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "managermoduleview.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *ManagerModuleView::className() const
{
    return "ManagerModuleView";
}

QMetaObject *ManagerModuleView::metaObj = 0;
static QMetaObjectCleanUp cleanUp_ManagerModuleView( "ManagerModuleView", &ManagerModuleView::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString ManagerModuleView::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "ManagerModuleView", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString ManagerModuleView::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "ManagerModuleView", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* ManagerModuleView::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"ManagerModuleView", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_ManagerModuleView.setMetaObject( metaObj );
    return metaObj;
}

void* ManagerModuleView::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "ManagerModuleView" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool ManagerModuleView::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool ManagerModuleView::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool ManagerModuleView::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool ManagerModuleView::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
